#include "gdkdisplay.h"
#include "gdkscreen.h"
#include "gdkprivate-win32.h"

GdkDisplay *_gdk_display = NULL;
GdkScreen  *_gdk_screen  = NULL;

void
_gdk_windowing_set_default_display (GdkDisplay *display)
{
  g_assert (_gdk_display == display);
}

GdkDisplay *
gdk_open_display (const gchar *display_name)
{
  if (_gdk_display != NULL)
    return NULL; /* single display only */

  _gdk_display = g_object_new (GDK_TYPE_DISPLAY, NULL);
  _gdk_screen = g_object_new (GDK_TYPE_SCREEN, NULL);

  gdk_set_default_display (_gdk_display);

  _gdk_visual_init ();
  _gdk_windowing_window_init ();
  _gdk_windowing_image_init ();
  _gdk_events_init ();
  _gdk_input_init ();
  _gdk_dnd_init ();

  return _gdk_display;
}
